Loading...
Searching...
No Matches
CSRGraphFromCoordinates.hpp File Reference

Facility for converting collection of region ID pairs into a sparse (CSR) adjacency matrix representation of a graph. More...

`#include <cstddef>`
`#include <optional>`
`#include <type_traits>`
`#include <unordered_map>`
`#include <utility>`
`#include <vector>`
`#include <opm/common/utility/CSRGraphFromCoordinates_impl.hpp>`

Go to the source code of this file.

## Classes

class | Opm::utility::CSRGraphFromCoordinates< VertexID, TrackCompressedIdx, PermitSelfConnections >
| Form CSR adjacency matrix representation of unstructured graphs. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Detailed Description

Facility for converting collection of region ID pairs into a sparse (CSR) adjacency matrix representation of a graph.

Supports O(nnz) compression.